if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 56004 $")

local function TrackingSetup(self, BS, class, L)
	self:Debug('Loading tracking setup')
	
	self:GetCategory(self.CATEGORY_TRACKING)
		:add(	BS['Find Herbs'],    'mountFriendly', true )
		:add(	BS['Find Minerals'], 'mountFriendly', true )
		:add(	BS['Find Treasure'], 'mountFriendly', true )
	-- 2.3 new tracking
		:add(	BS["Find Fish"],           'mountFriendly', true )
		
	-- 2.3 built-in trackins
	self:GetCategory(self.CATEGORY_TRACKING)
		:add(	BS["Ammunition"],          'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Ammunition" )
		:add(	BS["Banker"],              'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Banker" )
		:add(	BS["BattleMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\BattleMaster" )
		:add(	BS["Class Trainer"],       'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Class" )
		:add(	BS["FlightMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\FlightMaster" )
		:add(	BS["Food & Drink"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Food" )
		:add(	BS["Innkeeper"],           'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Innkeeper" )
		:add(	BS["Profession Trainers"], 'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Profession" )
		:add(	BS["Reagents"],            'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Reagents" )
		:add(	BS["Repair"],              'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\Repair" )
		:add(	BS["StableMaster"],        'mountFriendly', true, 'texture', "Interface\\Minimap\\Tracking\\StableMaster" )
		
end

SimpleSelfRebuff:RegisterBuffSetup(TrackingSetup)
